Status: Closed

Priority: Normal

Category:

Customer: ELEKTROBIT Product Issue https://www.cip.audi.de/jira/browse/ADIS

Numbers: TB-837

Department: SUPPORT Affected Products: ADTF 3 Support Toolbox 3.1.0, ADTF
3.5.0, ADTF 3.6.1, ADTF Display
Toolbox 3.3.0, ADTF Display Toolbox
3.4.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Known Problem FAQ Links:

Description

Supportanfrage

Wir haben das ein paar Fragen/Vorschlage zu den zukinftigen Releases von unserem ADTF Trainer:
"Q1: Is the ADTF 3 Support Toolbox (3.1.0) still supported by ADTF 3.6.1, ADTF 3.5?

Q2: The display toolbox 3.3 has been linked with Qt 5.9.7 but is intended for use with ADTF 3.4 or 3.5 that had been linked with Qt
5.9.0. So it is officially supported to link ADTF filters/service with newer versions of Qt?

For Q2 | found a partial answer: | get a lot of crashes depending on Qt with a simple playback project (with the example_file.adtfdat)
and Signal View from Display Toolbox 3.3

The crashes seem to disappear when | update the folder "D:\ADTF\3.5.0\3rdparty\qt5" to Qt 5.9.7

So Qt seems not to possess binary forward compatibility but only binary backward compatibility.

Ergo: The Display Toolbox 3.3. is not usable with the plain ADTF 3.5 installation.

My improvement suggestion would be to improve the release process so that there are regular stages with releases of ADTF and
toolboxes fitting together.
Q3: When is the release of display toolbox 3.4 to be expected?

Lésung

"Q1: Is the ADTF 3 Support Toolbox (3.1.0) still supported by ADTF 3.6.1, ADTF 3.5?

yes

Q2: The display toolbox 3.3 has been linked with Qt 5.9.7 but is intended for use with ADTF 3.4 or 3.5 that had been linked with
Qt 5.9.0. So it is officially supported to link ADTF filters/service with newer versions of Qt?

For Q2 | found a partial answer: | get a lot of crashes depending on Qt with a simple playback project (with the
example_file.adtfdat) and Signal View from Display Toolbox 3.3

The crashes seem to disappear when | update the folder "D:\ADTF\3.5.0\3rdparty\qt5" to Qt 5.9.7

So Qt seems not to possess binary forward compatibility but only binary backward compatibility.

Ergo: The Display Toolbox 3.3. is not usable with the plain ADTF 3.5 installation.

ADTF is binary compatible as long as its dependencies are. This is not new, this has been the same in 2.x universe.
There are some issues with different QT versions that will work, some may not. We recommend to use the toolboxes with the
released core version.

But | don't know what's going wrong on your side.
ADTF 3.4, ADTF 3.5 and Display TB 3.3 use all Qt 5.9.7.

My improvement suggestion would be to improve the release process so that there are regular stages with releases of ADTF
and toolboxes fitting together.
yes, this is the way we want to improbve the process

Q3: When is the release of display toolbox 3.4 to be expected?

It has been this week, see https://support.digitalwerk.net/news/78

Then some improvement suggestion for the Signal View: The selected signals get automatically unselected when playback
finishes. Could this improved so that the selected signals stay selected also for the next replay?"

Known Problem -> ADISTB-837

Das sollte unbedingt in die Release-Info der ADTF version.

Das gibt es mittlerweile seit ADTF 3.6.0, siehe External Dependencies
Und so steht es auch seitdem immer in Release Notes.

Fur die Versionen davor ware der Workaround direkt im Paket zu schauen, also
\3rdparty\qt5\lib\cmake\Qt5\Qt5ConfigVersion.cmake
Dafiir kdnnen und werden wir nichts patchen.

Vielleicht waren die Abstlrze insgesamt auch Zufall. Ist leider ein etwas instabiles tool
Yep, ich wirde auch kein ADTF >= 3.5.0 (wegen Filter API; aber am besten gleich ADTF >= 3.6.x wegen UX) empfehlen, auch was
Qt Version & Support betrifft.

Kénnt Ihr nochmal nach dem Cmake issue schauen? Wo kommt der Output her? Kann das gefixt werden?
Der Output kommt genau aus diesem File -> .\pkg\adtfulADTFQTMacros.cmake

Hier passt die Abfrage nicht, das wurde mittlerweile gefixt in ADTF 3.6.0, fUr altere Versionen miisste das manuell angepasst
werden.

History

#1 - 2019-09-13 14:03 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3 Support Toolbox 3.1.0, ADTF 3.5.0, ADTF 3.6.1, ADTF Display Toolbox 3.3.0, ADTF Display Toolbox 3.4.0 added

#2 - 2019-09-13 14:12 - hidden
Hallo Anja,

"Q1: Is the ADTF 3 Support Toolbox (3.1.0) still supported by ADTF 3.6.1, ADTF 3.5?

yes

Q2: The display toolbox 3.3 has been linked with Qt 5.9.7 but is intended for use with ADTF 3.4 or 3.5 that had been linked with Qt 5.9.0. So it is
officially supported to link ADTF filters/service with newer versions of Qt?

For Q2 | found a partial answer: | get a lot of crashes depending on Qt with a simple playback project (with the example_file.adtfdat) and Signal
View from Display Toolbox 3.3

The crashes seem to disappear when | update the folder "D:\ADTF\3.5.0\3rdparty\qt5" to Qt 5.9.7

So Qit seems not to possess binary forward compatibility but only binary backward compatibility.

Ergo: The Display Toolbox 3.3. is not usable with the plain ADTF 3.5 installation.

ADTF is binary compatible as long as its dependencies are. This is not new, this has been the same in 2.x universe.
There are some issues with different QT versions that will work, some may not. We recommend to use the toolboxes with the released core version.
https://support.digitalwerk.net/news/78
https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html
https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_6_0.html

But | don't know what's going wrong on your side.
ADTF 3.4, ADTF 3.5 and Display TB 3.3 use all Qt 5.9.7.

My improvement suggestion would be to improve the release process so that there are regular stages with releases of ADTF and toolboxes
fitting together.

yes, this is the way we want to improbve the process

Q3: When is the release of display toolbox 3.4 to be expected?

It has been this week, see https://support.digitalwerk.net/news/78

Then some improvement suggestion for the Signal View: The selected signals get automatically unselected when playback finishes. Could this
improved so that the selected signals stay selected also for the next replay?"

@Sebastian: please have a look at that if there is already an issue or some has to be created.

#4 - 2019-09-13 14:32 - hidden
Hallo zusammen,
es gibt mit der SignalView ein Problem, dass die Signal-Zusténde nicht gespeichert werden, wenn sich der Runlevel zB. am Ende des der

Wiedergabe verandert.
Ticket hierzu https://www.cip.audi.de/jira/browse/ADISTB-837

Viele GriBe
Sebastian Stern

#5 - 2019-09-17 08:46 - hidden
- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-4751 Release information wanted to EBPRODUCTSUPPORT-4751 Qt issues in different setups nad
Signal View problem

- Description updated

- Status changed from In Progress to Customer Feedback Required
- Private changed from Yes to No

- Resolution set to Solved Issue

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-837

Damit sollte alles beantwortet sein oder ?

#6 - 2019-09-17 08:47 - hidden

- Resolution changed from Solved Issue to Known Problem

#7 - 2019-09-18 12:45 - hidden
- File image001.png added

Hallo Florian,

Danke. Teilweise:

Bezulglich Qt 5.9.7, das war mir neu. Dass das die Qt-Version ist. Das sollte unbedingt in die Release-Info der ADTF version.
Vielleicht waren die Abstirze insgesamt auch Zufall. Ist leider ein etwas instabiles tool

CMake (Build examples manually) verlang weiter die Qt 5.9.0-Version fir das QT_DIR.

Wl SilSLsisu
SCL enzkaled
CHzake Error et pkg/edtfui/ADTEQTIMzcros.cmake:3Z (messzge):

You need to set 'QT DIR' to the '@t 5.5.0" path. Otherwise it's n
possikle to use Qt.

Cell Stack t recent call first):
pkg/adtfui TFQIMacros.cmeke: 63 (adtf_find gt)

pkg/aedtfuisedefui-cont

ig.cmzke:& (adtf_use_gt)

ADTFConfig.cmake:34 (f£ind package)

ADTFConfig.cmake:43 (adtf_priwvate_find component)
https://support.digitalwerk.net/news/78
Kénnt lhr nochmal nach dem Cmake issue schauen? Wo kommt der Output her? Kann das gefixt werden?

Best regards,
Anja Winkler

#8 - 2019-09-18 12:45 - hidden

- Status changed from Customer Feedback Required to In Progress

#9 - 2019-09-18 13:37 - hidden

- Status changed from In Progress to Customer Feedback Required
Hi Anja,

Das sollte unbedingt in die Release-Info der ADTF version.

Das gibt es mittlerweile seit ADTF 3.6.0, siehe External Dependencies
Und so steht es auch seitdem immer in Release Notes.

Fir die Versionen davor ware der Workaround direkt im Paket zu schauen, also .\3rdparty\qt5\lib\cmake\Qt5\Qt5ConfigVersion.cmake

Daftur kénnen und werden wir nichts patchen.

Vielleicht waren die Abstirze insgesamt auch Zufall. Ist leider ein etwas instabiles tool

Yep, ich wirde auch kein ADTF >= 3.5.0 (wegen Filter API; aber am besten gleich ADTF >= 3.6.x wegen UX) empfehlen, auch was Qt Version &

Support betrifft.

Konnt Ihr nochmal nach dem Cmake issue schauen? Wo kommt der Output her? Kann das gefixt werden?

Der Output kommt genau aus diesem File -> .\pkg\adtfulNADTFQTMacros.cmake
Hier passt die Abfrage nicht, das wurde mittlerweile gefixt in ADTF 3.6.0, fur altere Versionen misste das manuell angepasst werden.

#10 - 2019-09-20 12:44 - hidden

Hallo Florian,

vielen Dank. |hr kdnnt das Ticket schlieBen.
GriBe,

Anja

#11 - 2019-09-23 08:27 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

#12 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed
